Qt 5.11 | Qt Sensors | C++ Classes | QLidSensor

Qt 5.11.3 Reference Documentation

# QLidSensor Class

The QLidSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QLidSensor>
qmake: | QT += sensors
Since: | Qt 5.9
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QLidSensor(QObject *parent = Q_NULLPTR)
virtual | ~QLidSensor()
QLidReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QLidSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QLidReading instead of a QSensorReading.

For details about how the sensor works, see QLidReading.

See also QLidReading.

## Member Function Documentation

### QLidSensor::QLidSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QLidSensor::~QLidSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QLidReading *QLidSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().